Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.util
Class SymbolHash.Entry

    java.lang.Object
      org.apache.xerces.util.SymbolHash.Entry

Enclosing class:
  SymbolHash

    protected static final class SymbolHash.Entry

extends java.lang.Object

This class is a key table entry. Each entry acts as a node in a linked list.

Field Summary
`java.lang.Object` | `key`
`SymbolHash.Entry` | `next` The next entry.
`java.lang.Object` | `value`

Constructor Summary
`SymbolHash.Entry()`
`SymbolHash.Entry(java.lang.Object key, java.lang.Object value, SymbolHash.Entry next)`

Method Summary
`SymbolHash.Entry` | `makeClone()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key

    public java.lang.Object key

### value

    public java.lang.Object value

### next

    public SymbolHash.Entry next

  The next entry.

Constructor Detail

### SymbolHash.Entry

    public SymbolHash.Entry()

### SymbolHash.Entry

    public SymbolHash.Entry(java.lang.Object key,
                            java.lang.Object value,
                            SymbolHash.Entry next)

Method Detail

### makeClone

    public SymbolHash.Entry makeClone()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.